Index: /Dev/branches/rest-dojo-ui/client/rft/ui/InnerWidgetFactory.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/InnerWidgetFactory.js	(revision 382)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/InnerWidgetFactory.js	(revision 383)
@@ -1,5 +1,11 @@
-define(	['dojo', 'dijit', 'dojo/_base/lang', 'dojox/layout/TableContainer',
-		 'dijit/layout/StackContainer'],
-	function(dojo, dijit, lang, TableContainer, StackContainer) {
+define(	[
+	'dojo', 
+	'dojo/_base/lang', 
+	'dijit', 
+	'dijit/layout/StackContainer',
+	'dojox/form/CheckedMultiSelect',
+	'dojox/layout/TableContainer',
+	'rft/ui/MultipleChoiceListView'],
+	function(dojo, lang, dijit, StackContainer, CheckedMultiSelect, TableContainer, ListView) {
 		dojo.provide('rft.ui.InnerWidgetFactory');
 		dojo.declare('rft.ui.InnerWidgetFactory', [],{
@@ -29,4 +35,9 @@
 				integerWidget.setObject(options);
 				return integerWidget;
+			},
+			createMultipleChoiceInputWidget: function(options) {
+				var mcWidget = new rft.ui.MultipleChoiceInput();
+				mcWidget.setObject(options);
+				return mcWidget;
 			}
 		});
@@ -72,4 +83,28 @@
 		});
 
+		//Use CheckedMultiSelect
+		dojo.declare('rft.ui.MultipleChoiceInput',  StackContainer, {
+			_multiSelect: null,
+			postCreate: function() {
+				this.inherited(arguments);
+				this._multiSelect = new CheckedMultiSelect();
+				this._multiSelect.addOption({ label: "Hurr durr", value: 1 });
+				this._multiSelect.addOption({ label: "This is a choice", value: 1 });
+				this._multiSelect.addOption({ label: "This too", value: 1 });
+				this._multiSelect.addOption({ label: "So because there are more", value: 1 });
+				this._multiSelect.addOption({ label: "This must be multiple choice.", value: 1 });
+				this.addChild(this._multiSelect);
+			},
+
+			setObject: function() {
+				return;
+			},
+
+			edit: function() {
+				return;
+			}
+
+		});
+
 		dojo.declare('rft.ui.IntegerInput', StackContainer, {
 			_numberSpinner:  null,
@@ -79,11 +114,9 @@
 			postCreate: function() {
 				this.inherited(arguments);
-				this._numberSpinner = new dijit.form.NumberSpinner( { title: "Answer", value: 0 });	
-				this._numberSpinner.startup();
+				this._numberSpinner = new dijit.form.NumberSpinner( { title: "Answer", value: 0, constraints: { min: -100, max: 100 } });	
 				this._simpleTable = new TableContainer({ cols: 1, customClass: "labelsAndValues", labelWidth : 150} );
 				this._simpleTable.addChild(this._numberSpinner);
-				
 				this._editTable = new TableContainer({ cols: 1, customClass: "labelsAndValues"} );
-
+				this._simpleTable.startup();
 				this.addChild(this._simpleTable);
 			},
@@ -136,14 +169,13 @@
 			},
 			getObject: function() {
-
-				return { widgetType: 'IntegerInput',
-						 contents: 
-						 { 
-						 	value: this._numberSpinner.value,
-						    smallDelta: this._numberSpinner.smallDelta,
-						 	constraints: this._numberSpinner.constraints,
-						 	invalidMessage: this._numberSpinner.invalidMessage,
-						 	title: this._numberSpinner.title
-						 }
+				return { 
+					widgetType: 'IntegerInput',
+					contents: { 
+					 	value: this._numberSpinner.value,
+					    smallDelta: this._numberSpinner.smallDelta,
+					 	constraints: this._numberSpinner.constraints,
+					 	invalidMessage: this._numberSpinner.invalidMessage,
+					 	title: this._numberSpinner.title
+					}
 				};
 			}
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/MultipleChoiceListView.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/MultipleChoiceListView.js	(revision 383)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/MultipleChoiceListView.js	(revision 383)
@@ -0,0 +1,62 @@
+define([
+    'dojo/_base/declare',
+    'dojo/_base/lang',
+    'dijit/_WidgetBase',
+    'dijit/_TemplatedMixin',
+    'dijit/_WidgetsInTemplateMixin',
+    'dijit/_Container',
+    'rft/ui/LineWithActionsWidget',
+    'rft/ui/OrderedList',
+    'dojo/text!./templates/AccountListView.html'
+    ],function(
+        declare,
+        lang,
+        _WidgetBase,
+        _TemplatedMixin,
+        _WidgetsInTemplateMixin,
+        _Container,
+        LineWithActionsWidget,
+        OrderedList,
+        templateString
+        ) {
+        return declare('rft.ui.MultipleChoiceListView',[OrderedList,_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container],{
+            templateString: templateString,
+            baseClass: 'rftMultipleChoiceListView',
+            region: 'center',
+
+            creatorMethod: function(item, hint) {
+                var node;
+
+                if (hint == "avatar") {
+                    node = document.createElement("div");
+                    node.className = "dragAvatar";
+                    node.innerHTML = item.title;
+                } else {
+                    var w = new LineWithActionsWidget({
+                        title: item.title,
+                        'class': "orange",
+                        actions: {
+                            "Remove" : {
+                                callback: lang.hitch(this, function() {
+                                    this.removeItem(item, w);
+                                }),
+                                properties: {
+                                    blockButton: false,
+                                    icon: "Delete",
+                                    modifiers: "white"
+                                }
+                            }
+                        }
+                    });
+                    w.startup();
+                    node = w.domNode;
+                }
+                var fullItem = {
+                    node: node,
+                    data: item,
+                    type: "ListViewItem"
+                };
+                return fullItem;
+            }
+        });
+});
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/OrderedList.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/OrderedList.js	(revision 382)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/OrderedList.js	(revision 383)
@@ -96,6 +96,11 @@
                     this.source.insertNodes(false, [item]);
                 }
-            }
-
+            },
+            getItems: function() {
+                return this.source.getAllNodes()
+                .map(function(node){
+                    return this.source.getItem(node.id).data;
+                },this);
+            },
         });
     });