Index: /Dev/branches/rest-dojo-ui/client/config/docs.json
===================================================================
--- /Dev/branches/rest-dojo-ui/client/config/docs.json	(revision 385)
+++ /Dev/branches/rest-dojo-ui/client/config/docs.json	(revision 386)
@@ -69,5 +69,5 @@
             },
             "questions": {
-                "map": "function(doc){ if ( doc.type === 'Question' ) { if ( doc.categories && doc.categories.length > 0 ) { for (var i = 0; i < doc.categories.length; i++) { emit([doc.categories[i],doc.topic || '[No topic]'],1); } } else { emit(['[No category]','[No topic]'],1); } } }",
+                "map": "function(doc){ if ( doc.type === 'Question' ) { if ( doc.categories && doc.categories.length > 0 ) { for (var i = 0; i < doc.categories.length; i++) { emit([doc.categories[i],doc.topic || null],1); } } else { emit([null,null],1); } } }",
                 "reduce": "function(keys,values) { return sum(values); }"
             },
Index: /Dev/branches/rest-dojo-ui/client/index.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/index.html	(revision 385)
+++ /Dev/branches/rest-dojo-ui/client/index.html	(revision 386)
@@ -13,5 +13,5 @@
     </head>
     <body class="dijitReset claro">
-        <div class="page" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'center'">
+        <div class="page" data-dojo-type="dijit.layout.BorderContainer" data-dojo-props="region:'center'" style="width: 100%; height: 100%;">
             <div class="topbar" data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
                 <a href="#!/index"><h1>ResearchTool</h1></a>
Index: /Dev/branches/rest-dojo-ui/client/rft/pages/survey.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/pages/survey.js	(revision 385)
+++ /Dev/branches/rest-dojo-ui/client/rft/pages/survey.js	(revision 386)
@@ -60,5 +60,5 @@
                 this.questionList = new QuestionListView({
                     region: 'center'
-                }).placeAt(this.surveyListViewNode);
+                },this.surveyListViewNode);
                 this.questionList.startup();
             },
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/TabbedQuestionBrowser.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/TabbedQuestionBrowser.js	(revision 385)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/TabbedQuestionBrowser.js	(revision 386)
@@ -20,7 +20,9 @@
             _busyCount: 0,
             constructor: function(){
+                this.inherited(arguments);
                 this._dataMap = {};
             },
             startup: function() {
+                this.inherited(arguments);
                 this._busyWidget = new Standby({
                     target: this.domNode,
@@ -40,5 +42,5 @@
                     var categoryTab = new ContentPane({
                         __category: category,
-                        title: category+" ("+count+")"
+                        title: (category || '[No category]')+" ("+count+")"
                     });
                     categoryTab.startup();
@@ -68,5 +70,5 @@
                         __category: category,
                         __topic: topic,
-                        title: topic+" ("+count+")",
+                        title: (topic || '[No topic]')+" ("+count+")",
                         selectedActions: this.selectedActions,
                         itemActions: this.itemActions
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/_Page.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/_Page.js	(revision 385)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/_Page.js	(revision 386)
@@ -1,6 +1,12 @@
-define(['dojo/_base/declare','dojo/_base/lang','dojo/parser','dojo/query',
-    'dojo/dom-attr','dijit','dijit/_WidgetBase'],
-    function(declare,lang,parser,query,attr,dijit,_WidgetBase){
-        return declare('rft.ui._Page',[_WidgetBase],{
+define([
+    'dojo/_base/declare',
+    'dojo/_base/lang',
+    'dojo/dom-attr',
+    'dojo/parser',
+    'dojo/query',
+    'dijit/layout/ContentPane',
+    'dijit/registry'
+    ],function(declare,lang,attr,parser,query,ContentPane,registry){
+        return declare('rft.ui._Page',[ContentPane],{
             startup: function() {
                 this.inherited(arguments);
@@ -11,5 +17,5 @@
                 query('*[data-rft-attach-point]'/*, this.domNode*/).forEach(lang.hitch(this,function(node){
                     var point = attr.get(node,'data-rft-attach-point');
-                    var widget = dijit.byId(attr.get(node,'id'));
+                    var widget = registry.byId(attr.get(node,'id'));
                     this[point] = widget || node;
                 }));
@@ -18,5 +24,5 @@
                     var eventName = event[0];
                     var eventHandler = event[1];
-                    var widget = dijit.byId(attr.get(node,'id'));
+                    var widget = registry.byId(attr.get(node,'id'));
                     if ( widget ) {
                         this.connect(widget,eventName,lang.hitch(this,eventHandler));
@@ -36,5 +42,5 @@
             /** Event fired before leaving the page. Return false to prevent */
             onLeave: function(){
-                dijit.findWidgets(this.domNode).forEach(function(w){
+                registry.findWidgets(this.domNode).forEach(function(w){
                     w.destroyRecursive(false);
                 });