Index: Dev/branches/rest-dojo-ui/client/rft/pages/question.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/question.html	(revision 389)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/question.html	(revision 390)
@@ -12,6 +12,6 @@
             </div>
             <div data-dojo-type="dijit.layout.ContentPane" data-dojo-props="region:'top'">
-                <button id="btnDiscard" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconCancel'">Discard</button>
-                <button id="btnSave" data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconAccept'">Save and exit</button>
+                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconCancel'" data-rft-attach-event="onClick:_onDiscard">Discard</button>
+                <button data-dojo-type="dijit.form.Button" data-dojo-props="baseClass: 'rftLargeButton', iconClass: 'rftIcon rftIconAccept'" data-rft-attach-event="onClick:_onSave">Save and exit</button>
             </div>
         </div>
Index: Dev/branches/rest-dojo-ui/client/rft/pages/question.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/question.js	(revision 389)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/question.js	(revision 390)
@@ -2,6 +2,6 @@
     'dojo/_base/declare',
     'dojo/_base/Deferred',
+    'dojo/_base/event',
     'dojo/_base/lang',
-    'dojo/behavior',
     'rft/store',
     'rft/content',
@@ -9,5 +9,5 @@
     'rft/ui/QuestionEditorPreview',
     'rft/ui/QuestionEditorToolkit'
-    ],function(declare, Deferred, lang, behavior, store, content, _Page, QuestionEditorPreview, QuestionEditorToolkit){
+    ],function(declare, Deferred, event, lang, store, content, _Page, QuestionEditorPreview, QuestionEditorToolkit){
         return declare('rft.pages.question', [_Page], {
             question: null,
@@ -26,5 +26,4 @@
                 }
                 this._setupEditor();
-                this._setupButtons();
             },
             onLeave: function() {
@@ -35,5 +34,5 @@
                 this._preview.appendItems(this.question.content || []);
             },
-            _onSave: function() {
+            _onSave: function(evt) {
                 lang.mixin(this.question, this._toolkit.get('value'));
                 this.question.content = this._preview.getItems();
@@ -42,5 +41,6 @@
                     content.goTo('questions');
                 });
-                return true;
+                evt && event.stop( evt );
+                return false;
             },
             _onDiscard: function() {
@@ -48,23 +48,8 @@
                 return true;
             },
-            _setupButtons: function() {
-                var behaviorMap = {
-                    "#btnSave": {
-                        onclick: lang.hitch(this, function(){
-                            this._onSave();
-                        })
-                    },
-                    "#btnDiscard": {
-                        onclick: lang.hitch(this, function(){
-                            this._onDiscard();
-                        })
-                    }
-                }
-                behavior.add(behaviorMap);
-                behavior.apply();
-            },
             _setupEditor: function() {
                 this._toolkit = new QuestionEditorToolkit({
                 },this.QuestionEditorToolkitNode);
+                this._toolkit.on('submit',lang.hitch(this,"_onSave"));
                 this._toolkit.startup();
 
Index: Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorToolkit.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorToolkit.js	(revision 389)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/QuestionEditorToolkit.js	(revision 390)
@@ -157,9 +157,8 @@
                 }));
                 this._categorySelect = new ComboBox( {
-                    id: "categoriesBox",
                     name: "categories",
                     store: this._categoryStore,
                     searchAttr: "id"
-                }, "categoriesBox");
+                }, this.categoriesBoxNode);
                 this._supportingWidgets.push(this._categorySelect);
 
@@ -172,10 +171,9 @@
                 }));
                 this._topicSelect = new ComboBox( {
-                    id: "topicBox",
                     name: "topic",
                     store: this._topicStore,
                     searchAttr: "id",
                     value: topic
-                }, "topicBox");
+                }, this.topicBoxNode);
                 this._supportingWidgets.push(this._topicSelect);
             },
Index: Dev/branches/rest-dojo-ui/client/rft/ui/templates/LoginDialog.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/templates/LoginDialog.html	(revision 389)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/templates/LoginDialog.html	(revision 390)
@@ -1,5 +1,5 @@
 <div class="dijitDialog" role="dialog" aria-labelledby="${id}_title">
     <div data-dojo-attach-point="titleBar" class="dijitDialogTitleBar">
-        <span data-dojo-attach-point="titleNode" class="dijitDialogTitle" id="${id}_title"></span>
+        <span data-dojo-attach-point="titleNode" class="dijitDialogTitle"></span>
         <span data-dojo-attach-point="closeButtonNode" class="dijitDialogCloseIcon" data-dojo-attach-event="ondijitclick: onCancel" title="${buttonCancel}" role="button" tabIndex="-1">
             <span data-dojo-attach-point="closeText" class="closeText" title="${buttonCancel}">x</span>
Index: Dev/branches/rest-dojo-ui/client/rft/ui/templates/QuestionEditorToolkit.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/templates/QuestionEditorToolkit.html	(revision 389)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/templates/QuestionEditorToolkit.html	(revision 390)
@@ -2,15 +2,15 @@
 	<div data-dojo-type="dojox.widget.TitleGroup">
 		<div data-dojo-type="dijit.TitlePane" class="orange" data-dojo-props="open:true" title="Properties" data-dojo-props="iconClass:'rftIcon rftIconProperties'">
-            <div data-dojo-type="dijit.form.Form" data-dojo-attach-point="propertiesForm" data-rft-attach-event="onSubmit:onSave">
+            <div data-dojo-type="dijit.form.Form" data-dojo-attach-point="propertiesForm">
 				<fieldset class="align">
-					<label>Title:</label><input data-dojo-type="dijit.form.TextBox" data-dojo-attach-point="propertiesTitle" name="title"/>
-					<label>Code:</label><input data-dojo-type="dijit.form.TextBox" data-dojo-attach-point="propertiesCode" name= "_id"/>
+					<label>Title:</label><input data-dojo-type="dijit.form.TextBox" name="title"/>
+					<label>Code:</label><input data-dojo-type="dijit.form.TextBox" name= "_id"/>
 					<label>Categories:</label>
 					<div data-dojo-attach-point="listNode" class="rftLineListView"></div> 
-					<select id="categoriesBox"></select>
-					<button data-rft-attach-point="btnCategory" data-dojo-type="dijit.form.Button" data-dojo-attach-event="onClick:onCategoryAdd" data-dojo-props="baseClass:'rftBlockButton', class:'orange', iconClass: 'rftIcon rftIconPlus'">Add</button><br>
+					<div data-dojo-attach-point="categoriesBoxNode"></div>
+					<button data-dojo-type="dijit.form.Button" data-dojo-attach-event="onClick:onCategoryAdd" data-dojo-props="baseClass:'rftBlockButton', class:'orange', iconClass: 'rftIcon rftIconPlus'">Add</button><br>
 					<label>Topic:</label>
-					<select id="topicBox"></select>
-					<label>Description:</label><textarea data-dojo-type="dijit.form.TextBox" data-dojo-attach-point="propertiesDescription" name="description"></textarea>
+					<div data-dojo-attach-point="topicBoxNode"></div>
+					<label>Description:</label><textarea data-dojo-type="dijit.form.Textarea" name="description"></textarea>
 				</fieldset>
 			</div>