Index: Dev/branches/rest-dojo-ui/client/rft/css/layout.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/layout.css	(revision 396)
+++ Dev/branches/rest-dojo-ui/client/rft/css/layout.css	(revision 397)
@@ -385,5 +385,4 @@
     -webkit-transition: all 0.2s;
 }
-
 .claro .blue .inheritBgColor {
     background-color: #0072bc;
@@ -419,6 +418,6 @@
 .claro .red.light .inheritBgColor,
 .claro .red .light.inheritBgColor {
-   background-color: #bd0013;
-   color: #ffffff;   
+ background-color: #bd0013;
+ color: #ffffff;   
 }
 .claro .purple .inheritBgColor {
@@ -439,5 +438,6 @@
     color: #ffffff;
 }
-.claro .trans .inheritBgColor {
+.claro .trans .inheritBgColor,
+.claro .trans.bg {
     background: transparent;
     color: #ffffff;
@@ -498,5 +498,7 @@
 }
 
-/*Dropdown menu on MenuBar */
+/*************************************/
+/*  Dropdown menu on MenuBar
+/*************************************/
 .claro .dijitMenuPopup {
 
Index: Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css	(revision 396)
+++ Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css	(revision 397)
@@ -1,3 +1,5 @@
-/*LargeButton*/
+/****************************************************
+/*  LargeButton
+/***************************************************/
 .claro .rftLargeButton, 
 .claro .rftLargeButton * {
@@ -137,4 +139,12 @@
     background-color: #993dec;
 }
+.claro span.trans.bg.rftBlockButtonHover,
+.claro .trans .inheritBgColor.rftBlockButtonHover {
+    background-color: #ffffff;
+}
+.claro span.trans.bg.rftBlockButtonHover .dijitButtonNode,
+.claro .trans .inheritBgColor.rftBlockButtonHover .dijitButtonNode {
+    color: #000000;
+}
 /*Light*/
 .claro span.blue.light.bg.rftBlockButtonHover .dijitButtonNode,
@@ -261,5 +271,7 @@
 }
 
-/* MainMenuButton */
+/****************************************************
+/*  MainMenuButton
+/***************************************************/
 .claro .dijitMenuBar .rftMainMenuButton {
     border: none;
@@ -301,5 +313,7 @@
 }
 
-/* IndexMenuButton */
+/****************************************************
+/*  IndexMenuButton
+/***************************************************/
 .claro .rftIndexMenuButton {
     display: block;
Index: Dev/branches/rest-dojo-ui/client/rft/css/surveyEditor.css
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/css/surveyEditor.css	(revision 396)
+++ Dev/branches/rest-dojo-ui/client/rft/css/surveyEditor.css	(revision 397)
@@ -39,22 +39,26 @@
 	border-color: #ff5b12;
 }
-
 .claro div.blue .surveyEditorPreviewItemContent {
 	border-color: #0794d1;
 }
 
-.claro div.orange .surveyEditorPreviewItem.dojoDndItemAnchor .inheritBgColor {
-	background-color: #FF9140;
+.claro div.blue.dojoDndItemAnchor .topBorder,
+.claro .blue .dojoDndItemAnchor .topBorder {
+	background-color: #0794d1;
 }
-.claro div.blue .surveyEditorPreviewItem.dojoDndItemAnchor .inheritBgColor {
-	background-color: #0794D1;
+.claro div.orange.dojoDndItemAnchor .topBorder,
+.claro .orange .dojoDndItemAnchor .topBorder {
+	background-color: #ff9140;
 }
-.claro div.green .surveyEditorPreviewItem.dojoDndItemAnchor .inheritBgColor {
-	background-color: #79CA0A;
+.claro div.green.dojoDndItemAnchor .topBorder,
+.claro .green .dojoDndItemAnchor .topBorder {
+	background-color: #79ca0a;
 }
-.claro div.red .surveyEditorPreviewItem.dojoDndItemAnchor .inheritBgColor {
-	background-color: #BD0013;
+.claro div.red.dojoDndItemAnchor .topBorder,
+.claro .red .dojoDndItemAnchor .topBorder {
+	background-color: #bd0013;
 }
-.claro div.purple .surveyEditorPreviewItem.dojoDndItemAnchor .inheritBgColor {
-	background-color: #993DEC;
+.claro div.purple.dojoDndItemAnchor .topBorder,
+.claro .purple .dojoDndItemAnchor .topBorder {
+	background-color: #993dec;
 }
Index: Dev/branches/rest-dojo-ui/client/rft/ui/templates/QuestionEditorPreviewItem.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/templates/QuestionEditorPreviewItem.html	(revision 396)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/templates/QuestionEditorPreviewItem.html	(revision 397)
@@ -1,9 +1,9 @@
 <div>
-	<div class="topBorder inheritBgColor dojoDndHandle">
+	<div class="topBorder inheritBgColor bg dojoDndHandle">
 		<span class="title" data-dojo-attach-point="titleNode">Default title</span>
 		<span class="floatRight" data-dojo-attach-point="buttonsNode">
-			<button class="trans" data-dojo-type="dijit.form.Button" data-dojo-attach-point="editButtonNode" data-dojo-props="baseClass: 'rftBlockButton', iconClass: 'rftIcon rftIconEdit'">Edit</button>
-			<button class="trans" data-dojo-type="dijit.form.Button" data-dojo-attach-point="foldButtonNode" data-dojo-props="baseClass: 'rftBlockButton', showLabel: false, iconClass: 'rftIcon rftIconHalfArrowUp'">Fold</button>
-			<button class="trans" data-dojo-type="dijit.form.Button" data-dojo-attach-point="removeButtonNode" data-dojo-props="baseClass: 'rftBlockButton', showLabel: false, iconClass: 'rftIcon rftIconDelete'">Remove</button>
+			<button class="trans bg inheritBgColor" data-dojo-type="dijit.form.Button" data-dojo-attach-point="editButtonNode" data-dojo-props="baseClass: 'rftBlockButton', iconClass: 'rftIcon rftIconEdit'">Edit</button>
+			<button class="trans bg inheritBgColor" data-dojo-type="dijit.form.Button" data-dojo-attach-point="foldButtonNode" data-dojo-props="baseClass: 'rftBlockButton', showLabel: false, iconClass: 'rftIcon rftIconHalfArrowUp'">Fold</button>
+			<button class="trans bg inheritBgColor" data-dojo-type="dijit.form.Button" data-dojo-attach-point="removeButtonNode" data-dojo-props="baseClass: 'rftBlockButton', showLabel: false, iconClass: 'rftIcon rftIconDelete'">Remove</button>
 		</span>
 	</div>
Index: Dev/branches/rest-dojo-ui/client/rft/ui/templates/QuestionEditorToolkit.html
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/ui/templates/QuestionEditorToolkit.html	(revision 396)
+++ Dev/branches/rest-dojo-ui/client/rft/ui/templates/QuestionEditorToolkit.html	(revision 397)
@@ -9,5 +9,5 @@
 					<div data-dojo-attach-point="listNode" class="rftLineListView"></div> 
 					<div data-dojo-attach-point="categoriesBoxNode"></div>
-					<button class="inheritBgColor light" data-dojo-type="dijit.form.Button" data-dojo-attach-event="onClick:onCategoryAdd" data-dojo-props="baseClass:'rftBlockButton', iconClass: 'rftIcon rftIconPlus'">Add</button><br>
+					<button class="inheritBgColor" data-dojo-type="dijit.form.Button" data-dojo-attach-event="onClick:onCategoryAdd" data-dojo-props="baseClass:'rftBlockButton', iconClass: 'rftIcon rftIconPlus'">Add</button><br>
 					<label>Topic:</label>
 					<div data-dojo-attach-point="topicBoxNode"></div>